//----------------------------------------------------------------------------------------------
//
// State - Run pff a bit from ledge in sluice room and heal
//
//----------------------------------------------------------------------------------------------
//
// Name says it all?
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-27   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_HealSluiceRoom()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_HealSluiceRoom_EnterState;
  this.ExitState = State_HealSluiceRoom_ExitState;
  this.Execute = State_HealSluiceRoom_Execute;
  this.OnActionFailed = State_HealSluiceRoom_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_HealSluiceRoom_EnterState()
{
  gLog.TraceLine( "State.HealSluiceRoom.EnterState", ">> State.HealSluiceRoom.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.HealSluiceRoom.EnterState", "<< State.HealSluiceRoom.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_HealSluiceRoom_ExitState()
{
  gLog.TraceLine( "State.HealSluiceRoom.ExitState", ">> State.HealSluiceRoom.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.HealSluiceRoom.ExitState", "<< State.HealSluiceRoom.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_HealSluiceRoom_Execute()
{
  gLog.TraceLine( "State.HealSluiceRoom.Execute", ">> State.HealSluiceRoom.Execute" );

  this.DoActionSequence( new Array( "Navigate_LedgeToHealSpot", "UseHealKit" ) );

  this.mStateMachine.ChangeState( "Success" );

  gLog.TraceLine( "State.HealSluiceRoom.Execute", "<< State.HealSluiceRoom.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_HealSluiceRoom_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
