//----------------------------------------------------------------------------------------------
//
// State - Step 01
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-03-16   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_Step01()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_Step01_EnterState;
  this.ExitState = State_Step01_ExitState;
  this.Execute = State_Step01_Execute;
  this.OnActionFailed = State_Step01_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_Step01_EnterState()
{
  gLog.TraceLine( "State.Step01.EnterState", ">> State.Step01.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.Step01.EnterState", "<< State.Step01.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_Step01_ExitState()
{
  gLog.TraceLine( "State.Step01.ExitState", ">> State.Step01.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.Step01.ExitState", "<< State.Step01.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_Step01_Execute()
{
  gLog.TraceLine( "State.Step01.Execute", ">> State.Step01.Execute" );


  // FIXME:
  //  - Check that player has all equipment needed
  
  this.mStateMachine.ChangeState( "Success" );

  gLog.TraceLine( "State.Step01.Execute", "<< State.Step01.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_Step01_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
