//----------------------------------------------------------------------------------------------
//
// State - prepare enter reservoir
//
//----------------------------------------------------------------------------------------------
//
// ...
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-27   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_PrepareEnterReservoir()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_PrepareEnterReservoir_EnterState;
  this.ExitState = State_PrepareEnterReservoir_ExitState;
  this.Execute = State_PrepareEnterReservoir_Execute;
  this.OnActionFailed = State_PrepareEnterReservoir_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_PrepareEnterReservoir_EnterState()
{
  gLog.TraceLine( "State.PrepareEnterReservoir.EnterState", ">> State.PrepareEnterReservoir.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.PrepareEnterReservoir.EnterState", "<< State.PrepareEnterReservoir.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_PrepareEnterReservoir_ExitState()
{
  gLog.TraceLine( "State.PrepareEnterReservoir.ExitState", ">> State.PrepareEnterReservoir.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.PrepareEnterReservoir.ExitState", "<< State.PrepareEnterReservoir.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_PrepareEnterReservoir_Execute()
{
  gLog.TraceLine( "State.PrepareEnterReservoir.Execute", ">> State.PrepareEnterReservoir.Execute" );

  this.DoActionSequence( new Array( "UseHealKit", "EquipBow" ) );

  this.mStateMachine.ChangeState( "Success" );

  gLog.TraceLine( "State.PrepareEnterReservoir.Execute", "<< State.PrepareEnterReservoir.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_PrepareEnterReservoir_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
