//----------------------------------------------------------------------------------------------
//
// State - 
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-03-16   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_EnterPartTwo()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_EnterPartTwo_EnterState;
  this.ExitState = State_EnterPartTwo_ExitState;
  this.Execute = State_EnterPartTwo_Execute;
  this.OnActionFailed = State_EnterPartTwo_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_EnterPartTwo_EnterState()
{
  gLog.TraceLine( "State.EnterPartTwo.EnterState", ">> State.EnterPartTwo.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.EnterPartTwo.EnterState", "<< State.EnterPartTwo.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_EnterPartTwo_ExitState()
{
  gLog.TraceLine( "State.EnterPartTwo.ExitState", ">> State.EnterPartTwo.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.EnterPartTwo.ExitState", "<< State.EnterPartTwo.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_EnterPartTwo_Execute()
{
  gLog.TraceLine( "State.EnterPartTwo.Execute", ">> State.EnterPartTwo.Execute" );

  skapi.TurnToHead( 0 );
  skapi.WaitEvent( 5000, wemSpecific, evidOnNavStop );
  
  gInteract.KeyDown( cmidJump );
  gInteract.KeyDown( cmidWalkForward );
  skapi.WaitEvent( 300, wemFullTimeout );
  gInteract.KeyUp( cmidJump );
  gInteract.KeyUp( cmidWalkForward );

  skapi.WaitEvent( 2000, wemFullTimeout );

  skapi.TurnToHead( 180 );
  skapi.WaitEvent( 5000, wemSpecific, evidOnNavStop );
  gInteract.KeyDown( cmidWalkForward );
  skapi.WaitEvent( 300, wemFullTimeout );
  gInteract.KeyUp( cmidWalkForward );
  
  skapi.WaitEvent( 60000, wemSpecific, evidOnEndPortalSelf );

  while( !this.mStateMachine.ShouldExitState() )
  {
    this.mActionManager.ExecuteAction();
    skapi.WaitEvent( 100 );
  }
  
  skapi.TurnToHead( 180 );
  skapi.WaitEvent( 5000, wemSpecific, evidOnNavStop );
  
  gLog.TraceLine( "State.EnterPartTwo.Execute", "<< State.EnterPartTwo.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_EnterPartTwo_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
