//----------------------------------------------------------------------------------------------
//
// Action - Combat Mode
//
//----------------------------------------------------------------------------------------------
//
// Switches combat mode
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-12   Initial version.
//
//----------------------------------------------------------------------------------------------

function Action_CombatMode()
{
  // Member fuctions
  this.StartAction = Action_CombatMode_StartAction;
  this.ResumeAction = Action_CombatMode_ResumeAction;
  this.SetCombatMode = Action_CombatMode_SetCombatMode;
  this.SwitchMode = Action_CombatMode_SwitchMode;
}

//----------------------------------------------------------------------------------------------

function Action_CombatMode_StartAction()
{
  this.Inherited_StartAction();
  this.SwitchMode();
}

//----------------------------------------------------------------------------------------------

function Action_CombatMode_ResumeAction()
{
  this.Inherited_ResumeAction();
  this.SwitchMode();
}

//----------------------------------------------------------------------------------------------

function Action_CombatMode_SwitchMode()
{
  gInteract.EnsureCombatMode( this.mMode );
}

//----------------------------------------------------------------------------------------------

function Action_CombatMode_SetCombatMode( pMode )
{
  if( pMode == "true" || pMode == "True" || pMode == "TRUE" )
  {
    this.mMode = true;
  }
  else
  {
    this.mMode = false;
  }
}

//----------------------------------------------------------------------------------------------
