//----------------------------------------------------------------------------------------------
//
// Chat Manager Object
//
//----------------------------------------------------------------------------------------------
//
// Listens to chat events and logs them with appropriate category
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-22   Initial version.
//
//----------------------------------------------------------------------------------------------
//
// FIXME:
//  - Only OnChatLocal, OnTell so far
//
//----------------------------------------------------------------------------------------------

function ChatManager()
{
  // Member functions
  this.OnChatLocal = ChatManager_OnChatLocal;
  this.OnTell = ChatManager_OnTell;

  skapi.AddHandler( evidOnChatLocal, this );
  skapi.AddHandler( evidOnTell, this );
}

//----------------------------------------------------------------------------------------------

function ChatManager_OnChatLocal( acoSender, szMsg )
{
  gLog.InfoLine( "Chat.Local", acoSender.szName+" says: "+szMsg );
}

//----------------------------------------------------------------------------------------------

function ChatManager_OnTell( acoSender, acoReceiver, szMsg )
{
  gLog.InfoLine( "Chat.Tell", acoSender.szName+" tells: "+szMsg );
}

//----------------------------------------------------------------------------------------------

