//----------------------------------------------------------------------------------------------
//
// DateUtil Object
//
//----------------------------------------------------------------------------------------------
//
// Formatting of datetimes
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-08-31   Initial version.
//
//----------------------------------------------------------------------------------------------

function DateUtil()
{
  // Member functions
  this.ShortDateTime = DateUtil_ShortDateTime;
}

//----------------------------------------------------------------------------------------------

function DateUtil_ShortDateTime()
{
  var vNow = new Date();
  var s = ""

  s = s+vNow.getFullYear().toString()+"-";
  if( vNow.getMonth()+1 < 10 )
  {
    s = s+"0";
  }
  s = s+( vNow.getMonth()+1 ).toString()+"-";
  if( vNow.getDate() < 10 )
  {
    s = s+"0";
  }
  s = s+vNow.getDate().toString()+" ";
  if( vNow.getHours() < 10 )
  {
    s = s+"0";
  }
  s = s+vNow.getHours().toString()+":";
  if( vNow.getMinutes() < 10 )
  {
    s = s+"0";
  }
  s = s+vNow.getMinutes().toString()+":";
  if( vNow.getSeconds() < 10 )
  {
    s = s+"0";
  }
  s = s+vNow.getSeconds().toString()+":";
  if( vNow.getMilliseconds() < 10 )
  {
    s = s+"0";
  }
  if( vNow.getMilliseconds() < 100 )
  {
    s = s+"0";
  }
  s = s+vNow.getMilliseconds();

  return s;
}

//----------------------------------------------------------------------------------------------

