function main()
{
  skapi.outputLine( "Initializing..." );

  skapi.outputLine( "Reading Log Config" );
  gLog.ReadConfigFromFile( "Common/Config/Log.xml" );

  skapi.outputLine( "Reading Buff Config" );
  gBuffManager.ReadConfigFromFile( "Common/Config/Buff.xml" );

  skapi.outputLine( "Reading State Config" );
  var vMasterPlan = new StateModel();
  vMasterPlan.ReadConfigFromFile( "MasterPlan/Config/StateModel.xml" );

  // ------------------------------------------------------------------

  skapi.outputLine( "Creating Global Objects" );

  var vActionManager = new ActionManager();

  var vStateMachine = new StateMachine();
  vStateMachine.SetStateModel( vMasterPlan );
  vStateMachine.SetActionManager( vActionManager );

  // ------------------------------------------------------------------

  skapi.outputLine( "Initialization complete!" );

  // ------------------------------------------------------------------

  vStateMachine.Execute( "Step01" );
//  vStateMachine.Execute( "Step04" );
//  vStateMachine.Execute( "Step05" );
//  vStateMachine.Execute( "Step06" );
//  vStateMachine.Execute( "Step07" );
//  vStateMachine.Execute( "Step08" );
//  vStateMachine.Execute( "Step09" );
//  vStateMachine.Execute( "Step10" );
//  vStateMachine.Execute( "Step11" );
//  vStateMachine.Execute( "Step12" );
//  vStateMachine.Execute( "Step13" );
//  vStateMachine.Execute( "Step14" );
//  vStateMachine.Execute( "Step15" );
}


// -------------------------------------------------------------------------------------------
//
// FIXME:  (General problems)
//  - No handling of action failures
//  - Timeout when it fails to unlock doors
//  - Sometimes fails to realize doors are locked (xnav problem!)
//  - Fails to enter reservoir too often
//  - Fails to hand sluice to golem too often (stuck in corner)
//  - Fails with 1st jump in 2nd part of reservoir too often
//  - Add fletching so arrows don't need to be premade
//  - Equip correct arrow type before rushing lady A and ensure fight mode too (have been teleported/dispelled enuf times cause it is too slow)
//  - Dies in sluice room too often, strategy for clearing that room sucks!
//  - Add stamina handling in keep, it was pure luck that i succeeded
//
//  - New generic state that is a state machine
//  - New generic state that is an action
//  - New generic state that is an action sequence
//  - New generic action that is a statemachine (is this really needed? how to handle interruption?)
//  - New generic state or action that executes some code, sometimes making actions of everything is too much work, how to handle this?
//


