//----------------------------------------------------------------------------------------------
//
// State - Rebuff
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-03-16   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_Rebuff()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_Rebuff_EnterState;
  this.ExitState = State_Rebuff_ExitState;
  this.Execute = State_Rebuff_Execute;
  this.OnActionFailed = State_Rebuff_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_Rebuff_EnterState()
{
  gLog.TraceLine( "State.Rebuff.EnterState", ">> State.Rebuff.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.Rebuff.EnterState", "<< State.Rebuff.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_Rebuff_ExitState()
{
  gLog.TraceLine( "State.Rebuff.ExitState", ">> State.Rebuff.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.Rebuff.ExitState", "<< State.Rebuff.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_Rebuff_Execute()
{
  gLog.TraceLine( "State.Rebuff.Execute", ">> State.Rebuff.Execute" );


  this.DoActionSequence( new Array( "Buff1", "Buff2", "Buff3" ) );

  this.mStateMachine.ChangeState( "Success" );    


  gLog.TraceLine( "State.Rebuff.Execute", "<< State.Rebuff.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_Rebuff_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
