//----------------------------------------------------------------------------------------------
//
// State - 
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-04-07   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_GiveBellows()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_GiveBellows_EnterState;
  this.ExitState = State_GiveBellows_ExitState;
  this.Execute = State_GiveBellows_Execute;
  this.OnActionFailed = State_GiveBellows_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_GiveBellows_EnterState()
{
  gLog.TraceLine( "State.GiveBellows.EnterState", ">> State.GiveBellows.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.GiveBellows.EnterState", "<< State.GiveBellows.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_GiveBellows_ExitState()
{
  gLog.TraceLine( "State.GiveBellows.ExitState", ">> State.GiveBellows.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.GiveBellows.ExitState", "<< State.GiveBellows.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_GiveBellows_Execute()
{
  gLog.TraceLine( "State.GiveBellows.Execute", ">> State.GiveBellows.Execute" );

  var vAcf = skapi.AcfNew();
  vAcf.szName = "Pyreal Forge Bellows";
  vAcf.olc = olcInventory;
  var vSluice = vAcf.AcoGet();
  
  if( vSluice == null )
  {
    this.DoAction( "Pause" );
  }
  
  vAcf = skapi.AcfNew();
  vAcf.szName = "Smithing Golem";
  var vGolem = vAcf.AcoGet();
  
  if( vGolem == null )
  {
    this.DoAction( "Pause" );
  }

  skapi.SelectAco( vGolem );
  skapi.WaitEvent( 200, wemFullTimeout );
  skapi.SelectAco( vSluice );
  skapi.WaitEvent( 200, wemFullTimeout );
  gInteract.Keys( cmidGiveSelected );

  skapi.WaitEvent( 5000, wemFullTimeout );
  
  this.DoActionSequence( new Array( "EquipWand", "CombatMode" ) );

  skapi.CastSpell( skapi.SpellidFromSz( "Aerlinthe Recall" ) );
  skapi.WaitEvent( 60000, wemSpecific, evidOnEndPortalSelf );


  this.mStateMachine.ChangeState( "Success" );
  
  gLog.TraceLine( "State.GiveBellows.Execute", "<< State.GiveBellows.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_GiveBellows_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
