//----------------------------------------------------------------------------------------------
//
// State - Stand on ledge in sluice room and kill
//
//----------------------------------------------------------------------------------------------
//
// Name says it all?
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-27   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_KillSluiceRoom()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_KillSluiceRoom_EnterState;
  this.ExitState = State_KillSluiceRoom_ExitState;
  this.Execute = State_KillSluiceRoom_Execute;
  this.OnActionFailed = State_KillSluiceRoom_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_KillSluiceRoom_EnterState()
{
  gLog.TraceLine( "State.KillSluiceRoom.EnterState", ">> State.KillSluiceRoom.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.KillSluiceRoom.EnterState", "<< State.KillSluiceRoom.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_KillSluiceRoom_ExitState()
{
  gLog.TraceLine( "State.KillSluiceRoom.ExitState", ">> State.KillSluiceRoom.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.KillSluiceRoom.ExitState", "<< State.KillSluiceRoom.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_KillSluiceRoom_Execute()
{
  gLog.TraceLine( "State.KillSluiceRoom.Execute", ">> State.KillSluiceRoom.Execute" );

  this.DoAction( "Navigate_BeforeSluiceRoomToLedge" );
  
  skapi.Keys( cmidWalkForward, kmoDown );
  skapi.WaitEvent( 1000, wemFullTimeout );
  skapi.Keys( cmidWalkForward, kmoUp );

  while( !this.mStateMachine.ShouldExitState() )
  {
    this.mActionManager.ExecuteAction();
    skapi.WaitEvent( 100 );
  }

  gLog.TraceLine( "State.KillSluiceRoom.Execute", "<< State.KillSluiceRoom.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_KillSluiceRoom_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
