//----------------------------------------------------------------------------------------------
//
// State -  Enter keep
//
//----------------------------------------------------------------------------------------------
//
// ...
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-04-21   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_EnterKeep()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_EnterKeep_EnterState;
  this.ExitState = State_EnterKeep_ExitState;
  this.Execute = State_EnterKeep_Execute;
  this.OnActionFailed = State_EnterKeep_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_EnterKeep_EnterState()
{
  gLog.TraceLine( "State.EnterKeep.EnterState", ">> State.EnterKeep.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.EnterKeep.EnterState", "<< State.EnterKeep.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_EnterKeep_ExitState()
{
  gLog.TraceLine( "State.EnterKeep.ExitState", ">> State.EnterKeep.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.EnterKeep.ExitState", "<< State.EnterKeep.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_EnterKeep_Execute()
{
  gLog.TraceLine( "State.EnterKeep.Execute", ">> State.EnterKeep.Execute" );

  skapi.WaitEvent( 2000, wemFullTimeout );

  gInteract.EnsureCombatMode( false );

  var vAcf = skapi.AcfNew();
  vAcf.szName = "Gateway"
  var vPortal = vAcf.AcoGet();
  if( vPortal != null )
  {
    vPortal.Use();
    skapi.WaitEvent( 60000, wemSpecific, evidOnEndPortalSelf );
  }

  this.mStateMachine.ChangeState( "Success" );

  gLog.TraceLine( "State.EnterKeep.Execute", "<< State.EnterKeep.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_EnterKeep_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
