//----------------------------------------------------------------------------------------------
//
// State - 
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-04-07   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_GiveSluice()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_GiveSluice_EnterState;
  this.ExitState = State_GiveSluice_ExitState;
  this.Execute = State_GiveSluice_Execute;
  this.OnActionFailed = State_GiveSluice_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_GiveSluice_EnterState()
{
  gLog.TraceLine( "State.GiveSluice.EnterState", ">> State.GiveSluice.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.GiveSluice.EnterState", "<< State.GiveSluice.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_GiveSluice_ExitState()
{
  gLog.TraceLine( "State.GiveSluice.ExitState", ">> State.GiveSluice.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.GiveSluice.ExitState", "<< State.GiveSluice.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_GiveSluice_Execute()
{
  gLog.TraceLine( "State.GiveSluice.Execute", ">> State.GiveSluice.Execute" );

  var vAcf = skapi.AcfNew();
  vAcf.szName = "Sluice Gate Bar";
//  vAcf.szName = "Gem of Stillness";
  vAcf.olc = olcInventory;
  var vSluice = vAcf.AcoGet();
  
  if( vSluice == null )
  {
    this.DoAction( "Pause" );
  }
  
  vAcf = skapi.AcfNew();
  vAcf.szName = "Repair Golem";
//  vAcf.szName = "Tiwaz";
  var vGolem = vAcf.AcoGet();
  
  if( vGolem == null )
  {
    this.DoAction( "Pause" );
  }

  skapi.SelectAco( vGolem );
  skapi.WaitEvent( 200, wemFullTimeout );
  skapi.SelectAco( vSluice );
  skapi.WaitEvent( 200, wemFullTimeout );
  gInteract.Keys( cmidGiveSelected );

  skapi.WaitEvent( 5000, wemFullTimeout );
  
  this.DoActionSequence( new Array( "EquipWand", "CombatMode" ) );

  skapi.CastSpell( skapi.SpellidFromSz( "Aerlinthe Recall" ) );
  skapi.WaitEvent( 60000, wemSpecific, evidOnEndPortalSelf );


  this.mStateMachine.ChangeState( "Success" );
  
  gLog.TraceLine( "State.GiveSluice.Execute", "<< State.GiveSluice.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_GiveSluice_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
