//----------------------------------------------------------------------------------------------
//
// State - 
//
//----------------------------------------------------------------------------------------------
//
// 
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-04-07   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_JumpPart3()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_JumpPart3_EnterState;
  this.ExitState = State_JumpPart3_ExitState;
  this.Execute = State_JumpPart3_Execute;
  this.OnActionFailed = State_JumpPart3_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_JumpPart3_EnterState()
{
  gLog.TraceLine( "State.JumpPart3.EnterState", ">> State.JumpPart3.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.JumpPart3.EnterState", "<< State.JumpPart3.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_JumpPart3_ExitState()
{
  gLog.TraceLine( "State.JumpPart3.ExitState", ">> State.JumpPart3.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.JumpPart3.ExitState", "<< State.JumpPart3.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_JumpPart3_Execute()
{
  gLog.TraceLine( "State.JumpPart3.Execute", ">> State.JumpPart3.Execute" );

  this.DoAction( "UseHealKit" );

  skapi.TurnToHead( 250 );
  skapi.WaitEvent( 5000, wemSpecific, evidOnNavStop );
  
  gInteract.KeyDown( cmidJump );
  gInteract.KeyDown( cmidWalkForward );
  skapi.WaitEvent( 300, wemFullTimeout );
  gInteract.KeyUp( cmidJump );
  gInteract.KeyUp( cmidWalkForward );

  skapi.WaitEvent( 3000, wemFullTimeout );

  this.mStateMachine.ChangeState( "Success" );
  
  gLog.TraceLine( "State.JumpPart3.Execute", "<< State.JumpPart3.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_JumpPart3_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
