//----------------------------------------------------------------------------------------------
//
// Periodic Filter
//
//----------------------------------------------------------------------------------------------
//
// Handles indentation when writing trace files
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-01-05   Initial version.
//
//----------------------------------------------------------------------------------------------

function TraceFilter()
{
  this.mIndent = 0;

  this.ApplyFilter = TraceFilter_ApplyFilter;
}

//----------------------------------------------------------------------------------------------

function TraceFilter_ApplyFilter( pCategory, pLevel, pString )
{
  var vIndent;

  if( pString.substr( 0, 3 ) == "<< " && this.mIndent > 0 )
  {
    this.mIndent = this.mIndent-1;
  }

  vIndent = "";
  for( i = 0; i < this.mIndent; i++ )
  {
    vIndent += "  ";
  }

  if( pString.substr( 0, 3 ) == ">> "  )
  {
    this.mIndent = this.mIndent+1;
  }

  return vIndent+pString;
}

//----------------------------------------------------------------------------------------------

