//----------------------------------------------------------------------------------------------
//
// PauseManager Object
//
//----------------------------------------------------------------------------------------------
//
// Handles pausing
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-03-16  Inital version.
//
//----------------------------------------------------------------------------------------------
//
// FIXME:
//  - Pause action name hardcoded
//  - Resume done as quick hack
//
//----------------------------------------------------------------------------------------------

function PauseManager()
{
  this.OnHotkey = PauseManager_OnHotkey;
  this.SetActionManager = PauseManager_SetActionManager;
 
  skapi.AddHandler( evidOnHotkey, this );
  
  skapi.Hotkey( "{Pause}", true );
  skapi.Hotkey( "{Break}", true );
}

//----------------------------------------------------------------------------------------------

function PauseManager_OnHotkey( cmid, vk )
{
  if( this.mActionManager.HasActiveAction( "Pause" ) )
  {
    this.mActionManager.GetAction( "Pause" ).OnCommand( "resume" );
  }
  else
  {
    this.mActionManager.AddAction( "Pause" );
  }
}

//----------------------------------------------------------------------------------------------

function PauseManager_SetActionManager( pActionManager )
{
  this.mActionManager = pActionManager;
}

//----------------------------------------------------------------------------------------------
// Required by Xnav, attempt at workaround instead of altering the pauser stuff in xnav

/*
function dummy_Check()
{
}

Pauser.Check = dummy_Check;
*/

/*
function PauserCls()
{
  this.fStopOnCtrlBreak = false;
  this.fStopOnCombatMode = false;
  this.fStopOnLogout = false;
  this.fStopOnDeath = false;
}

var Pauser = new PauserCls();
*/
//----------------------------------------------------------------------------------------------
