//----------------------------------------------------------------------------------------------
//
// Salvage Manager Object
//
//----------------------------------------------------------------------------------------------
//
// Handles which objects should be salvaged
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2003-02-16   Initial version.
//
//----------------------------------------------------------------------------------------------

function SalvageManager()
{
  // Member variables
  this.mItems = skapi.CoacoNew();
  
  // Member functions
  this.AddItem = SalvageManager_AddItem;
  this.RemoveItem = SalvageManager_RemoveItem;
  this.Items = SalvageManager_Items;
}

//----------------------------------------------------------------------------------------------

function SalvageManager_AddItem( pAco )
{
  this.mItems.AddAco( pAco );
}

//----------------------------------------------------------------------------------------------

function SalvageManager_RemoveItem( pAco )
{
  this.mItems.RemoveAco( pAco );
}

//----------------------------------------------------------------------------------------------

function SalvageManager_Items()
{
  return this.mItems;
}

//----------------------------------------------------------------------------------------------
