//----------------------------------------------------------------------------------------------
//
// State - Action Test
//
//----------------------------------------------------------------------------------------------
//
// Listens to on command and add actions to queue when they are typed.
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-08-31   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_ActionTest()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_ActionTest_EnterState;
  this.ExitState = State_ActionTest_ExitState;

  // Event handlers
  this.OnCommand = State_ActionTest_OnCommand;
}

//----------------------------------------------------------------------------------------------

function State_ActionTest_EnterState()
{
  gLog.TraceLine( "Lib.State.ActionTest.EnterState", ">> State.ActionTest.EnterState" );

  this.Inherited_EnterState();

  skapi.AddHandler( evidOnCommand, this );
  this.mWait = true;

  gLog.TraceLine( "Lib.State.ActionTest.EnterState", "<< State.ActionTest.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_ActionTest_ExitState()
{
  gLog.TraceLine( "Lib.State.ActionTest.ExitState", ">> State.ActionTest.ExitState" );

  this.Inherited_ExitState();

  skapi.RemoveHandler( evidOnCommand, this );

  gLog.TraceLine( "Lib.State.ActionTest.ExitState", "<< State.ActionTest.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_ActionTest_OnCommand( sz )
{
  if( sz.substr( 0, 11 ) == "action add " )
  {
    // I have trouble sometimes with being in chat mode at wrong moments, this will fix it?
    skapi.Sleep( 500 );

    this.mActionManager.AddAction( sz.substr( 11 ) );
  }
}

//----------------------------------------------------------------------------------------------
