//----------------------------------------------------------------------------------------------
//
// State - Do Nothing
//
//----------------------------------------------------------------------------------------------
//
// Name says it all?
//
//----------------------------------------------------------------------------------------------
//
// 2.0   2002-09-27   Initial version.
//
//----------------------------------------------------------------------------------------------

function State_DoNothing()
{
  // Member variables
  this.mSubStates = new Array();

  // Member functions
  this.EnterState = State_DoNothing_EnterState;
  this.ExitState = State_DoNothing_ExitState;
  this.Execute = State_DoNothing_Execute;
  this.OnActionFailed = State_DoNothing_OnActionFailed;

}

//----------------------------------------------------------------------------------------------

function State_DoNothing_EnterState()
{
  gLog.TraceLine( "State.DoNothing.EnterState", ">> State.DoNothing.EnterState" );

  this.Inherited_EnterState();

  gLog.TraceLine( "Lib.State.DoNothing.EnterState", "<< State.DoNothing.EnterState" );
}

//----------------------------------------------------------------------------------------------

function State_DoNothing_ExitState()
{
  gLog.TraceLine( "State.DoNothing.ExitState", ">> State.DoNothing.ExitState" );

  this.Inherited_ExitState();

  gLog.TraceLine( "State.DoNothing.ExitState", "<< State.DoNothing.ExitState" );
}

//----------------------------------------------------------------------------------------------

function State_DoNothing_Execute()
{
  gLog.TraceLine( "State.DoNothing.Execute", ">> State.DoNothing.Execute" );

  while( !this.mStateMachine.ShouldExitState() )
  {
    this.mActionManager.ExecuteAction();
    skapi.WaitEvent( 100 );
  }

  gLog.TraceLine( "State.DoNothing.Execute", "<< State.DoNothing.Execute" );
}

//----------------------------------------------------------------------------------------------

function State_DoNothing_OnActionFailed( pSource, pAction, pReason )
{
  // Do stuff here
}

//----------------------------------------------------------------------------------------------
